Bug 1365941 - virtualenv -p python3.5 fails if enum34 is installed alongside it
Summary: virtualenv -p python3.5 fails if enum34 is installed alongside it
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-virtualenv
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Milner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 14:38 UTC by Miro Hrončok
Modified: 2016-12-20 21:19 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-20 21:19:27 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2016-08-10 14:38:06 UTC
Description of problem:
I cannot create virtualenvs for Python 3.5 with Python 2.

Version-Release number of selected component (if applicable):
python-virtualenv-12.0.7-2.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. Make sure python-enum34 and python-virtualenv are installed
2. Get Python 3.5 (for example python35 package from this Copr [1])
3. Run `python2 -m virtualenv --python /usr/bin/python3.5 py35`

Actual results:

Running virtualenv with interpreter /usr/bin/python3.5
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/enum/__init__.py", line 371, in __getattr__
    return cls._member_map_[name]
KeyError: '_convert'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/virtualenv.py", line 23, in <module>
    import subprocess
  File "/usr/lib64/python3.5/subprocess.py", line 364, in <module>
    import signal
  File "/usr/lib64/python3.5/signal.py", line 8, in <module>
    _IntEnum._convert(
  File "/usr/lib/python2.7/site-packages/enum/__init__.py", line 373, in __getattr__
    raise AttributeError(name)
AttributeError: _convert

Expected results:

Running virtualenv with interpreter /usr/bin/python3.5
Using base prefix '/usr'
New python executable in py35/bin/python3.5
Also creating executable in py35/bin/python
Installing setuptools, pip...done.

Additional info:
Upstream issue [2]
Upstream fix [3][4]

[1] https://copr.fedorainfracloud.org/coprs/g/python/python35/
[2] https://github.com/pypa/virtualenv/issues/763
[3] https://github.com/pypa/virtualenv/pull/805
[4] https://github.com/pypa/virtualenv/commit/348f80c11a16852d71f41e11e73f2582601da90e

Comment 1 Petr Viktorin 2016-08-10 16:17:04 UTC
Note: This is fixed in Fedora 24 (python2-virtualenv-14.0.6-1.fc24.noarch).

Comment 2 Fedora End Of Life 2016-11-25 09:29:55 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2016-12-20 21:19:27 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.